<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class InstrumentacionDidactica extends Model
{

    protected $table = "ins_instrudidac";
    protected $primaryKey = 'cve_instdidac';
    protected $fillable = ['horasTeoricas_instdidac', 'horasPracticas_instdidac', 'totalCreditos_instdidac', 'obj_instdidac', 'obser_instdidac', 'status_instdidac', 'estado_instdidac','cve_mat', 'cve_planest', 'cve_aula', 'cve_grup', 'id_periodo',];

    public function materia()
    {
        return $this->hasOne('App\Materia', 'cve_mat', 'cve_mat');
    }

    public function periodo()
    {
        return $this->hasOne('App\Periodos', 'id_periodo', 'id');
    }

    public function grupo()
    {
        return $this->hasOne('App\Grupo', 'cve_grup', 'cve_grup');
    }

    public function aula()
    {
        return $this->hasOne('App\Aula', 'cve_aula', 'cve_aula');
    }

    public function planEstudio()
    {
        return $this->hasOne('App\Planestudios', 'cve_planest', 'cve_planest');
    }

    public function InsdidacEnc()
    {
        return $this->hasMany('App\InstrumentacionDidacticaEncabezadoPie', 'cve_instdidac', 'cve_instdidac');
    }

    public function totalInstrumentacionDid()
    {
        return $this->belongsTo('App\TotalInstrumentacionDidactica', 'cve_instdidac', 'cve_instdidac');
    }

    public function renglonUnidadInstrumentacionDid()
    {
        return $this->belongsTo('App\TotalInstrumentacionDidactica', 'cve_instdidac', 'cve_instdidac');
    }
}
